Skip to content

Search for vehicle by registration number

GET
/policyholders/vehicles/search

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Query Parameters

RegNumber
Type
string
ClientId
Type
integer

Responses

Success

application/json
JSON
{
  
"make": "string",
  
"model": "string",
  
"yearOfManufacture": 0,
  
"registrationNumber": "string",
  
"chassisNumber": "string",
  
"engineNumber": "string",
  
"tonnage": 0,
  
"seatingCapacity": 0,
  
"color": "string",
  
"sumInsured": 0,
  
"capacity": 0,
  
"motorBodyTypeId": 0,
  
"id": 0,
  
"motorBodyType": {
  
  
"id": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"iconUrl": "string",
  
  
"type": "string",
  
  
"imageUrl": "string"
  
},
  
"riskCategoryId": 0,
  
"riskCategory": {
  
  
"id": 0,
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"name": "string",
  
  
"description": "string",
  
  
"iconUrl": "string",
  
  
"insurerId": 0,
  
  
"insurer": {
  
  
  
"id": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"name": "string",
  
  
  
"taxPayerId": "string",
  
  
  
"logoUrl": "string",
  
  
  
"address": {
  
  
  
  
"country": {
  
  
  
  
},
  
  
  
  
"province": {
  
  
  
  
},
  
  
  
  
"district": {
  
  
  
  
},
  
  
  
  
"street": {
  
  
  
  
},
  
  
  
  
"plotNo": {
  
  
  
  
}
  
  
  
},
  
  
  
"email": "string",
  
  
  
"popularity": 0,
  
  
  
"insurerType": "string",
  
  
  
"createdById": "string",
  
  
  
"createdBy": {
  
  
  
  
"id": {
  
  
  
  
},
  
  
  
  
"userName": {
  
  
  
  
},
  
  
  
  
"normalizedUserName": {
  
  
  
  
},
  
  
  
  
"email": {
  
  
  
  
},
  
  
  
  
"normalizedEmail": {
  
  
  
  
},
  
  
  
  
"emailConfirmed": {
  
  
  
  
},
  
  
  
  
"passwordHash": {
  
  
  
  
},
  
  
  
  
"securityStamp": {
  
  
  
  
},
  
  
  
  
"concurrencyStamp": {
  
  
  
  
},
  
  
  
  
"phoneNumber": {
  
  
  
  
},
  
  
  
  
"phoneNumberConfirmed": {
  
  
  
  
},
  
  
  
  
"twoFactorEnabled": {
  
  
  
  
},
  
  
  
  
"lockoutEnd": {
  
  
  
  
},
  
  
  
  
"lockoutEnabled": {
  
  
  
  
},
  
  
  
  
"accessFailedCount": {
  
  
  
  
},
  
  
  
  
"claims": {
  
  
  
  
},
  
  
  
  
"logins": {
  
  
  
  
},
  
  
  
  
"tokens": {
  
  
  
  
},
  
  
  
  
"createdAt": {
  
  
  
  
},
  
  
  
  
"updateAt": {
  
  
  
  
},
  
  
  
  
"branch": {
  
  
  
  
},
  
  
  
  
"branchId": {
  
  
  
  
},
  
  
  
  
"status": {
  
  
  
  
},
  
  
  
  
"lastSeen": {
  
  
  
  
},
  
  
  
  
"twoFactorMethod": {
  
  
  
  
}
  
  
  
},
  
  
  
"bankId": 0,
  
  
  
"bank": {
  
  
  
  
"id": {
  
  
  
  
},
  
  
  
  
"createdAt": {
  
  
  
  
},
  
  
  
  
"updatedAt": {
  
  
  
  
},
  
  
  
  
"name": {
  
  
  
  
},
  
  
  
  
"swiftCode": {
  
  
  
  
},
  
  
  
  
"branches": {
  
  
  
  
}
  
  
  
},
  
  
  
"status": "string",
  
  
  
"shortName": "string"
  
  
}
  
},
  
"currentLicenseExpiryDate": "string",
  
"roadWorthinessExpiryDate": "string",
  
"firstRegDate": "string",
  
"registrationStatus": "string"
}

Playground

Authorization
Variables
Key
Value

Samples

Built with ❤️ by Hobbiton Technologies